<!-- Template page js -->
<script src="{$stheme}/js/bootstrap.bundle.min.js"></script>
<script src="{$stheme}/js/theme.js"></script>
<script src="{$stheme}/js/main.js"></script>
<!-- Подключение стилей Summernote -->
<link rel="stylesheet" href="{$stheme}/css/summernote.min.css">
<link href="engine/editor/summernote/summernote-bs4.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/npm/popper.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
<script src="engine/editor/summernote/summernote-bs4.min.js"></script>
<!-- Подключение библиотек Summernote -->
<script>
    $(document).ready(function(){
        $('#short_desc').summernote({
            lang: 'ru-RU',
            placeholder: '',
            height: 280,
            callbacks: {
                onImageUpload: function(files) {
                    // Создаем объект FormData
                    var formData = new FormData();
                    formData.append('image', files[0]);
                    // Отправляем изображение на сервер
                    $.ajax({
                        url: './engine/mods/summernote_image.php?folder=' + $('#folder').val() + '&p_id=' + $('#p_id').val(),
                        type: 'POST',
                        data: formData,
                        processData: false,
                        contentType: false,
                        success: function(imageUrl) {
                            // Вставляем ссылку на загруженное изображение в редактор
                            $('#short_desc').summernote('insertImage', imageUrl);
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                }
            }
        });
        
        $('#full_desc').summernote({
            lang: 'ru-RU',
            placeholder: '',
            height: 280,
            callbacks: {
                onImageUpload: function(files) {
                    // Создаем объект FormData
                    var formData = new FormData();
                    formData.append('image', files[0]);
                    // Отправляем изображение на сервер
                    $.ajax({
                        url: './engine/mods/summernote_image.php?folder=' + $('#folder').val() + '&p_id=' + $('#p_id').val(),
                        type: 'POST',
                        data: formData,
                        processData: false,
                        contentType: false,
                        success: function(imageUrl) {
                            // Вставляем ссылку на загруженное изображение в редактор
                            $('#full_desc').summernote('insertImage', imageUrl);
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                }
            }
        });
    });
    $(document).on('drop', function(e) {
        e.preventDefault();
    });
</script>
<script src="engine/editor/summernote/summernote.js"></script>